package com.bytedance.ies.ugc.aweme.ttsetting;

import X.IUt;
import X.JLw;
import X.PUt;
import com.bytedance.covode.number.Covode;
import com.google.gson.j;

public final class TTSettingDataApi {

    public interface SettingApi {
        static {
            Covode.recordClassIndex(31096);
        }

        @IUt(LIZ = "/service/settings/v2/")
        JLw<j> getResponse(@PUt(LIZ = "has_local_cache") boolean z, @PUt(LIZ = "app") int i, @PUt(LIZ = "default") int i2);
    }

    static {
        Covode.recordClassIndex(31095);
    }
}
